#include<cstdio>
#include<cstdlib>
#include<ctime>
#include<string>
#define infile "superstring.in"
#define tmax 100
#define ll long long

using namespace std;

struct test
{
  int t;
  ll k;
} t[tmax];
int nr; //tests number

inline ll randomValue(ll a, ll b)
{
  return (((ll)rand() * (ll)rand())%(b-a+1)) + a;
}

string makeString(int x)
{
  if(!x) return "0";
  string str;
  while(x)
    str = char((x%10) + '0') + str, x /= 10;
  return str;
}

void init()
{
  nr=20;
  t[1].t=13;         t[1].k=131;
  t[2].t=31;         t[2].k=313;
  t[3].t=4999;       t[3].k=5000;
  t[4].t=13666;      t[4].k=131313;
  t[5].t=15777;      t[5].k=313131;
  t[6].t=19999;      t[6].k=1000*1000;
  t[7].t=21111;      t[7].k=1000*1000;
  t[8].t=23333;      t[8].k=1000*1000;
  t[9].t=25555;      t[9].k=1000*1000;
  t[10].t=27777;     t[10].k=1000*1000;
  t[11].t=31*1000;   t[11].k=(ll)10*1000*1000*1000;
  t[12].t=31*1000;   t[12].k=(ll)50*1000*1000*1000;
  t[13].t=31*1000;   t[13].k=(ll)100*1000*1000*1000;
  t[14].t=31*1000;   t[14].k=(ll)500*1000*1000*1000;
  t[15].t=31*1000;   t[15].k=(ll)1000*1000*1000*1000;
  t[16].t=31*1000;   t[16].k=(ll)10*1000*1000*1000*1000;
  t[17].t=31*1000;   t[17].k=(ll)100*1000*1000*1000*1000;
  t[18].t=31*1000;   t[18].k=(ll)1000*1000*1000*1000*1000;
  t[19].t=31*1000;   t[19].k=(ll)1000*1000*1000*1000*1000;
  t[20].t=31*1000;   t[20].k=(ll)1000*1000*1000*1000*1000;
}

void generate(struct test t, int nr)
{ //generate test number nr
  string file = makeString(nr) + "-" + infile;
  freopen(file.c_str(), "w", stdout);

  printf("%d\n", t.t);

  for(int i = 1; i <= t.t; ++i) {
      printf("%lld\n", randomValue(1, t.k));
  }

  fclose(stdout);
}

int main()
{
  srand((unsigned)time(0));
  init();

  for(int i = 1; i <= nr; ++i)
    generate(t[i],i);

  return 0;
}
